Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jasig.portal.utils
Interface IPortalDocument

All Superinterfaces:
  org.w3c.dom.Document, org.w3c.dom.Node

All Known Implementing Classes:
  PortalDocumentImpl

Deprecated. use DOM 3 Documents instead.

    public interface IPortalDocument

extends org.w3c.dom.Document

Prior to uPortal 2.5 this interface provided an ability to access DOM 3 functionality on top of a DOM 2 core Document implementation. As of uPortal 2.5, uPortal has adopted the JAXP 1.3 standard DOM 3 core Document implementation (as available in the core JDK 1.5 release). This does not imply a requirement of JDK 1.5 -- these libraries are available as an endorsed extenstion for JDK 1.4. Therefore, as of uPortal 2.5, there is no reason to write code to the IPortalDocument interface. Instead, client code should be written to the core Document interface. This interface is formally deprecated. No new code should be written to this interface and all existing clients of this interface should be updated to consume the core DOM3 Document interface.

Version:
  $Revision: 1.5 $
Author:
  Nick Bolton

Field Summary

Fields inherited from interface org.w3c.dom.Node
`ATTRIBUTE_NODE, CDATA_SECTION_NODE, COMMENT_NODE, DOCUMENT_FRAGMENT_NODE, DOCUMENT_NODE, DOCUMENT_POSITION_CONTAINED_BY, DOCUMENT_POSITION_CONTAINS, DOCUMENT_POSITION_DISCONNECTED, DOCUMENT_POSITION_FOLLOWING, DOCUMENT_POSITION_IMPLEMENTATION_SPECIFIC, DOCUMENT_POSITION_PRECEDING, DOCUMENT_TYPE_NODE, ELEMENT_NODE, ENTITY_NODE, ENTITY_REFERENCE_NODE, NOTATION_NODE, PROCESSING_INSTRUCTION_NODE, TEXT_NODE`

Method Summary
`void` | `copyCache(IPortalDocument sourceDoc)` Deprecated. this methid no longer is required to have any effect
`void` | `putIdentifier(java.lang.String idName, org.w3c.dom.Element element)` Deprecated. this method no longer is required to have any effect.

Methods inherited from interface org.w3c.dom.Document
`adoptNode, createAttribute, createAttributeNS, createCDATASection, createComment, createDocumentFragment, createElement, createElementNS, createEntityReference, createProcessingInstruction, createTextNode, getDoctype, getDocumentElement, getDocumentURI, getDomConfig, getElementById, getElementsByTagName, getElementsByTagNameNS, getImplementation, getInputEncoding, getStrictErrorChecking, getXmlEncoding, getXmlStandalone, getXmlVersion, importNode, normalizeDocument, renameNode, setDocumentURI, setStrictErrorChecking, setXmlStandalone, setXmlVersion`

Methods inherited from interface org.w3c.dom.Node
`appendChild, cloneNode, compareDocumentPosition, getAttributes, getBaseURI, getChildNodes, getFeature, getFirstChild, getLastChild, getLocalName, getNamespaceURI, getNextSibling, getNodeName, getNodeType, getNodeValue, getOwnerDocument, getParentNode, getPrefix, getPreviousSibling, getTextContent, getUserData, hasAttributes, hasChildNodes, insertBefore, isDefaultNamespace, isEqualNode, isSameNode, isSupported, lookupNamespaceURI, lookupPrefix, normalize, removeChild, replaceChild, setNodeValue, setPrefix, setTextContent, setUserData`

Method Detail

### putIdentifier

    void putIdentifier(java.lang.String idName,
                       org.w3c.dom.Element element)

  Deprecated. this method no longer is required to have any effect.

  Prior to uPortal 2.5, registered an identifier for a given Element of this Document. As of uPortal 2.5, this interface no longer requires that this method have any effect. It is included here only for binary compatibility.

  Parameters:
    `idName` - a key used to store an `Element` object.
    `element` - an `Element` object to map. document.

### copyCache

    void copyCache(IPortalDocument sourceDoc)

  Deprecated. this methid no longer is required to have any effect

  Copies the element cache from the source document. This will provide equivalent mappings from IDs to elements in this document provided the elements exist in the source document. As of uPortal 2.5, this interface no longer requires this method to have any effect and it is included here only for binary compatibility.

  Parameters:
    `sourceDoc` - The source doc to copy from.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD